WHMCS - Bug # 110: Error in Support > Knowledgebase menu

Status: Closed Priority: High

Author: Arvian Category:

Created: 19 Nov 2012 Assignee: Ruchi Kothari

Updated: 12 Dec 2012 Due date:

Subject: Error in Support > Knowledgebase menu

Description: Found another error that is similar with the previous one (http://forge.kayako.com/issues/109).

When | click link in WHMCS Support > Knowledgebase the error comes up:

Fatal error: Uncaught exception 'kyException' with message 'HTTP 404'
Ivar/www/html/modules/support/kayako/API/kyRESTClient.php:195 Stack
Ivarlwww/html/modules/support/kayako/API/kyRESTClient.php(219):
kyRESTClient->processRequest(/Knowledgebase/...’, 'GET,
Ivar/www/html/modules/support/kayako/knowledgebasecategories.php(33):
kyRESTClient->get('/Knowledgebase/..., Array)
Ivariwww/html/modules/support/kayako/knowledgebase.php(58): include(‘/variwww/html/m...")
Ivariwww/html/knowledgebase.php(0): unknown() #4 {main}

Ivariwww/html/modules/support/kayako/API/kyRESTClient.php on line 195

So we have 2 issues right now.

WHMCS Version 5.1.2 (latest version)
Kayako Version Fusion 4.50.1636
History

11/19/2012 10:12 am - Mahesh Salaria
- Status changed from New to Resolved
Hi Arvian,

We added Knowledgebase and News APIs in latest build http://wiki.kayako.com/display/DOCS/4.51.1891. You need to upgrade your desk to get this

fixed.

Build 4.50.1636 does not contain KB apis that is why you are getting this error.

Please let us know if you face any issue with Build 4.51.1891

11/20/2012 08:38 am - Arvian

Thank you Mahesh.

It's solved after | upgrade to build 4.51.1891.

12/12/2012 11:13 pm - Mahesh Salaria

- Status changed from Resolved to Closed
